const path = require('path');
//测试
const url = 'http://119.3.240.140:8866'

const img = 'http://os.winfaster.cn'

module.exports = {
    //打包配置，解决页面空白的配置方案。
    transpileDependencies: ['single-spa', 'qiankun', 'import-html-entry'],
    devServer: {
        port: "8082", //代理端口
        open: false, //项目启动时是否自动打开浏览器，我这里设置为false,不打开，true表示打开
        headers: {
            'Access-Control-Allow-Origin': '*',
        },
        proxy: {
            '/api': {
				//本地服务接口地址
				target: 'https://cfm.bytesail.cn/api',
				//远程演示服务地址,可用于直接启动项目
				//target: 'https://saber.bladex.vip/api',
				ws: true,
				pathRewrite: {
					'^/api': '/'
				}
			},
            '/saas-common': { //代理api
                target: url, // 代理接口
                changeOrigin: true, //是否跨域
                ws: true, // proxy websockets

            },
            '/saas-business-tradeerp': { //代理api
                target: url, // 代理接口
                changeOrigin: true, //是否跨域
                ws: true, // proxy websockets

            },
            // '/fjhx': { //代理api
            //     target: img, // 代理接口
            //     changeOrigin: true, //是否跨域
            //     ws: true, // proxy websockets

            // },
            '/blade-auth': { //代理api
                target: url, // 代理接口
                changeOrigin: true, //是否跨域
                ws: true, // proxy websockets

            },
            '/blade-system': { //代理api
                target: url, // 代理接口
                changeOrigin: true, //是否跨域
                ws: true, // proxy websockets
            },
            '/saas-system-business': { //代理api
                target: url, // 代理接口
                changeOrigin: true, //是否跨域
                ws: true, // proxy websockets
            },
            '/saas-customer': { //代理api
                target: url, // 代理接口
                changeOrigin: true, //是否跨域
                ws: true, // proxy websockets
            },
            '/saas-socket': { //代理api
                target: url, // 代理接口
                changeOrigin: true, //是否跨域
                ws: true, // proxy websockets
            },
            '/saas-mail': { //代理api
                target: url, // 代理接口
                changeOrigin: true, //是否跨域
                ws: true, // proxy websockets
            },

        }
    },
}
